Package org.eclipse.net4j.buffer

# Interface IBufferProvider.Introspection

All Superinterfaces:
  `IBufferProvider`

All Known Subinterfaces:
  `IBufferPool.Introspection`

Enclosing interface:
  `IBufferProvider`

public static interface IBufferProvider.Introspection extends IBufferProvider
Offers additional introspection features for `buffer providers`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`IBufferProvider.Introspection, IBufferProvider.Notification`

## Method Summary

Modifier and Type
Method
Description
`long`
`getProvidedBuffers()`
Returns the number of buffers that have already been provided by this `BufferProvider`.
`long`
`getRetainedBuffers()`
Returns the number of buffers that have already been retained to this `BufferProvider`.

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`getBufferCapacity, provideBuffer, retainBuffer`

## Method Details

### getProvidedBuffers

long getProvidedBuffers()
Returns the number of buffers that have already been provided by this `BufferProvider`.

### getRetainedBuffers

long getRetainedBuffers()
Returns the number of buffers that have already been retained to this `BufferProvider`.